summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJesusalva Jesusalva <jesusalva@themanaworld.org>2024-02-01 15:46:58 +0000
committerAdministrator <admin@themanaworld.org>2024-02-01 15:46:58 +0000
commitc5cc6c27ed37788432307e83f0b9ae250b7f0fce (patch)
tree0ff3dfdfb3fe7899bbbd0130b959d7fbfd92d19e
parent3d72dbaedf31bf7d446ea5139d54a7bc0f098701 (diff)
downloadappimg-builder-c5cc6c27ed37788432307e83f0b9ae250b7f0fce.tar.gz
appimg-builder-c5cc6c27ed37788432307e83f0b9ae250b7f0fce.tar.bz2
appimg-builder-c5cc6c27ed37788432307e83f0b9ae250b7f0fce.tar.xz
appimg-builder-c5cc6c27ed37788432307e83f0b9ae250b7f0fce.zip
Add expiration time for jobs and unfinished files.
-rw-r--r--.gitlab-ci.yml31
-rw-r--r--build_appimg_mana.sh47
-rw-r--r--install_dependencies_mana.sh21
3 files changed, 99 insertions, 0 deletions
diff --git a/.gitlab-ci.yml b/.gitlab-ci.yml
index 0613e99..0d95a96 100644
--- a/.gitlab-ci.yml
+++ b/.gitlab-ci.yml
@@ -27,6 +27,7 @@ x86_64-AppImage:
paths:
- "ManaPlus-x86_64.AppImage"
- "x86_64-sha256checksum.txt"
+ expire_in: 1 week
# i386 AppImage buid
.i386-AppImage:
@@ -53,6 +54,7 @@ x86_64-AppImage:
paths:
- "ManaPlus-i386.AppImage"
- "i386-sha256checksum.txt"
+ expire_in: 1 week
deb_pkg:
image: ubuntu:trusty
@@ -82,6 +84,35 @@ deb_pkg:
paths:
- "*.deb"
- "deb-sha256checksum.txt"
+ expire_in: 1 week
+
+
+# Mana Client 64bits AppImage build (unfinished)
+.mana64-AppImage:
+ image: ubuntu:trusty
+ stage: build
+ tags:
+ - gtmw
+ before_script:
+ - apt-get update -qq
+ - chmod +x install_dependencies_mana.sh
+ - ./install_dependencies_mana.sh
+ script:
+ - cd ${CI_PROJECT_DIR}
+ - ls
+ - chmod +x build_appimg_mana.sh
+ - chmod +x linuxdeploy-x86_64.AppImage
+ - ./linuxdeploy-x86_64.AppImage --appimage-extract
+ - ./build_appimg_mana.sh
+ - mv Mana-*-x86_64.AppImage Mana-x86_64.AppImage
+ - sha256sum Mana-x86_64.AppImage > x86_64-mana-sha256checksum.txt
+ - cd
+ - find / -type f -name "*.AppImage"
+ artifacts:
+ paths:
+ - "Mana-x86_64.AppImage"
+ - "x86_64-mana-sha256checksum.txt"
+ expire_in: 1 week
# deploy
deploy-appImages:
diff --git a/build_appimg_mana.sh b/build_appimg_mana.sh
new file mode 100644
index 0000000..4cc4c13
--- /dev/null
+++ b/build_appimg_mana.sh
@@ -0,0 +1,47 @@
+#!/bin/bash
+set -e
+
+# clone repo
+
+mkdir manaplus
+
+cd manaplus
+
+git clone https://git.themanaworld.org/mana/mana.git mana
+
+cd mana
+
+# compile
+
+dir=`pwd`
+
+#autoreconf -i
+
+#CPPFLAGS="-DTCP_THIN_LINEAR_TIMEOUTS -DTCP_THIN_DUPACK" ./configure --prefix=$dir/run \
+#--datadir=$dir/run/share/games \
+#--bindir=$dir/run/bin \
+#--mandir=$dir/run/share/man \
+#--enable-portable=yes
+
+#cd po
+#make update-gmo -j4
+#cd ..
+cmake -D CMAKE_INSTALL_PREFIX=$dir/run .
+make -j4
+mkdir run
+make install
+
+# package
+mkdir AppDir
+
+cp -r $dir/run/share/games/mana/data AppDir/data
+cp ../../AppRun AppDir/AppRun
+
+../../squashfs-root/AppRun --appdir AppDir \
+-d ../../mana.desktop \
+-i ./data/icons/mana.svg \
+-e ./run/bin/mana \
+--output appimage
+
+mv *.AppImage ../../
+
diff --git a/install_dependencies_mana.sh b/install_dependencies_mana.sh
new file mode 100644
index 0000000..9ad58ce
--- /dev/null
+++ b/install_dependencies_mana.sh
@@ -0,0 +1,21 @@
+#!/bin/bash
+set -e
+
+# general
+apt-get install -y wget
+
+# mana
+
+sh -c 'echo "deb-src http://de.archive.ubuntu.com/ubuntu trusty main restricted universe multiverse" >> /etc/apt/sources.list'
+apt-get update -y -q
+apt-get -y -q build-dep manaplus
+
+apt-get install -y -q g++ gcc git xsel make autoconf automake \
+ appstream-index libappstream0 libappstream-dev autopoint \
+ gettext libxml2-dev libcurl4-gnutls-dev libpng-dev libsdl-gfx1.2-dev \
+ libsdl-image1.2-dev libsdl-mixer1.2-dev libsdl-net1.2-dev \
+ libsdl-ttf2.0-dev gdb valgrind netcat-openbsd procps zlibc fakeroot cmake dpkg-dev
+
+# AppImage - linuxdeploy
+# seems to be not possible on docker because security restrictions
+#apt-get install -y -q libfuse2 \ No newline at end of file